%global pypi_name importlib-metadata
%global module_name importlib_metadata
%global commitId b944c376515b8dc9bd67cb7ca8ef10500ca8d242

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       6.0.1
Release:       1%{?dist}
Summary:       Read metadata from Python packages

License:       Apache-2.0
URL:           https://github.com/python/importlib_metadata
Source0:       python-importlib-metadata-b944c376515b8dc9bd67cb7ca8ef10500ca8d242.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-pip
BuildRequires: python%{python3_pkgversion}-rpm-macros
#BuildRequires: python%{python3_pkgversion}-setuptools >= 56
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-setuptools_scm+toml >= 3.4.1
BuildRequires: python%{python3_pkgversion}-wheel

%global _description %{expand:
Library to access the metadata for a Python package.

This package supplies third-party access to the functionality of
importlib.metadata including improvements added to subsequent Python versions.}

%description
%{_description}

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:       %{summary}

Requires:      python%{python3_pkgversion}-zipp >= 0.5

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{__python3} -m pip config set global.index https://repository.engineering.redhat.com/nexus/repository/pypi.org/pypi
%{__python3} -m pip config set global.index_url https://repository.engineering.redhat.com/nexus/repository/pypi.org/simple
%{__python3} -m pip config set global.trusted-host repository.engineering.redhat.com
%{__python3} -m pip install setuptools==65.5.1

export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}

%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheeldir --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}

%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheeldir %{module_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}.dist-info

%changelog
* Wed Jul 12 2023 Satoe Imaishi <simaishi@redhat.com> - 6.0.1-1
- Update to 6.0.1

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 4.10.1-2
- Build against python 3.9

* Wed Feb 23 2022 Odilon Sousa <osousa@redhat.com> - 4.10.1-1
- Release python-importlib-metadata 4.10.1

* Wed Sep 08 2021 Evgeni Golov - 1.7.0-2
- Build against Python 3.8

* Mon Jul 20 2020 Evgeni Golov 1.7.0-1
- Update to 1.7.0

* Thu Jun 18 2020 Evgeni Golov 1.6.1-1
- Update to 1.6.1

* Thu Jun 04 2020 Evgeni Golov 1.6.0-1
- Update to 1.6.0

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 1.4.0-2
- Bump release to build for el8

* Tue Jan 28 2020 Evgeni Golov - 1.4.0-1
- Initial package.
